Skip to content
SolidRusT.ai

Semantic search

POST
/data/v1/query/semantic

Performs semantic similarity search across the knowledge base using vector embeddings. Returns documents ranked by semantic similarity to the query.

Authorizations

Request Body required

object
query
required

The search query text

string
How do I implement RAG?
sources

Filter results to specific sources

Array<string>
limit

Maximum number of results to return

integer
default: 10 >= 1 <= 100
min_score

Minimum similarity score threshold

number
default: 0.5 <= 1
filters

Additional metadata filters

object

Responses

200

Successful response

object
query
string
results
Array<object>
object
document_id
string
content
string
score

Similarity score (0-1)

number
metadata
object
source
string
title
string
url
string
content_type
string
total
integer
latency_ms
number

400

Invalid request

object
error
object
message
string
type
string
code
string
param
string

401

Invalid or missing API key

object
error
object
message
string
type
string
code
string
param
string